cURL
curl --request GET \
--url https://back.teamcamp.app/api/v1/project/{projectId}/getCurrentProjectDetails \
--header 'apiKey: <api-key>'import requests
url = "https://back.teamcamp.app/api/v1/project/{projectId}/getCurrentProjectDetails"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://back.teamcamp.app/api/v1/project/{projectId}/getCurrentProjectDetails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"Name": "<string>",
"CompanyId": "<string>",
"Description": "<string>",
"CreatedBy": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"UpdatedTime": "2023-11-07T05:31:56Z",
"StartDate": "2023-11-07T05:31:56Z",
"CustomerId": "<string>",
"IsMilestone": true,
"IsEstimate": true,
"Priority": {
"Enabled": true,
"Default": 123
},
"FavoriteUsers": [
"<string>"
],
"LabelsList": [
{
"_id": "<string>",
"Name": "<string>",
"Color": "<string>",
"CreatedBy": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"UpdatedTime": "2023-11-07T05:31:56Z"
}
],
"GithubRepository": 123,
"LabelsEnabled": true,
"StatusEnable": true,
"IsGroupEnabled": true,
"MultiAsignee": true,
"Icon": {
"Type": 123,
"Reference": "<string>",
"Color": 123
},
"taskFilter": {},
"Resources": [
{
"_id": "<string>",
"Type": 123,
"Label": "<string>",
"Reference": "<string>",
"FileType": "<string>",
"UploadFileType": 123,
"CreatedBy": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"UpdatedTime": "2023-11-07T05:31:56Z"
}
],
"vercelProject": {
"id": "<string>",
"AccountId": "<string>",
"Name": "<string>",
"GithubRepoId": "<string>"
},
"ProjectUsers": [
"<string>"
],
"Status": [
{
"_id": "<string>",
"Name": "<string>",
"Type": 123,
"Index": 123,
"Default": true
}
]
}{
"error": "<string>"
}Project
Get Project Details
Get project’s details.
GET
/
project
/
{projectId}
/
getCurrentProjectDetails
cURL
Authorizations
Path Parameters
The unique identifier of the project to get details.
Minimum string length:
10Response
Successfully get project details.
The ID of the project
The name of the project
The company ID
Description of the project
Creator user ID
Project creation time
Project last update time
Project start date
Customer ID
Is milestone flag
Is estimate flag
Priority information
Show child attributes
Show child attributes
Array of favorite user IDs
List of labels
Show child attributes
Show child attributes
GitHub Repository ID
Show child attributes
Show child attributes
List of resources
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of project user IDs
Project status list
Show child attributes
Show child attributes
⌘I

